Create Text-to-Image Task
curl --request POST \
--url https://www.anyfast.ai/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-3-0-t2i-250415",
"prompt": "A girl and a cow doll happily riding a roller coaster in an amusement park",
"size": "1024x1024",
"watermark": false,
"seed": 123,
"logo_info": {
"add_logo": true,
"position": 123,
"language": 123,
"opacity": 123
}
}
'import requests
url = "https://www.anyfast.ai/v1/images/generations"
payload = {
"model": "doubao-seedream-3-0-t2i-250415",
"prompt": "A girl and a cow doll happily riding a roller coaster in an amusement park",
"size": "1024x1024",
"watermark": False,
"seed": 123,
"logo_info": {
"add_logo": True,
"position": 123,
"language": 123,
"opacity": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedream-3-0-t2i-250415',
prompt: 'A girl and a cow doll happily riding a roller coaster in an amusement park',
size: '1024x1024',
watermark: false,
seed: 123,
logo_info: {add_logo: true, position: 123, language: 123, opacity: 123}
})
};
fetch('https://www.anyfast.ai/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"model": "doubao-seedream-3-0-t2i-250415",
"created": 1775029815,
"data": [
{
"url": "https://ark-content-generation-v2-cn-beijing.example.com/image.png",
"size": "2048x2048"
}
],
"usage": {
"generated_images": 1,
"output_tokens": 16384,
"total_tokens": 16384
}
}ByteDance
seedream-3.0-t2i
Generate an image from text using the doubao-seedream-3-0-t2i-250415 model.
POST
/
v1
/
images
/
generations
Create Text-to-Image Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Model ID
Available options:
doubao-seedream-3-0-t2i-250415 Example:
"doubao-seedream-3-0-t2i-250415"
Text prompt for image generation.
Example:
"A girl and a cow doll happily riding a roller coaster in an amusement park"
Output image size. Supported values vary by model.
Example:
"1024x1024"
Whether to include watermark.
Random seed for reproducibility.
Custom logo/watermark configuration.
Show child attributes
Show child attributes
Was this page helpful?
⌘I